petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSundialsSetTolerance

Sets the absolute and relative tolerance used by Sundials for error control.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSundialsSetTolerance(TS ts,double aabs,double rel)

Logically Collective on TS Many br

### Input parameters

| ts | - the time-step context Many br
| aabs | - the absolute tolerance Many br
| rel | - the relative tolerance Many br

See the Cvode/Sundials users manual for exact details on these parameters. Essentially Many brthese regulate the size of the error for a SINGLE timestep. Many br

Many br

### Keywords

Sundials, tolerance

### See Also

TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetGMRESMaxl(),
TSSundialsSetLinearTolerance(), TSSundialsSetGramSchmidtType(), Many brTSSundialsGetIterations(), TSSundialsSetType(), Many brTSSundialsSetLinearTolerance(), TSSundialsSetTolerance(), TSSundialsGetPC(), Many brTSSetExactFinalTime() Many br

Level:intermediate
Location:src/ts/impls/implicit/sundials/sundials.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages